BEGIN 9xP2

IF~GlobalGT("ISHxMain","GLOBAL",10) Global("ISHxGift","GLOBAL",0)~THEN BEGIN P2000
SAY @0
IF~~THEN REPLY @1 GOTO P2001
IF~~THEN REPLY @2 GOTO P2001
END

IF~~THEN BEGIN P2001
SAY @3
IF~~THEN REPLY @4 GOTO P2002
IF~~THEN REPLY @5 GOTO P2003
END

IF~~THEN BEGIN P2002
SAY @6
IF~~THEN GOTO P2004
END

IF~~THEN BEGIN P2003
SAY @7
IF~~THEN GOTO P2004
END

IF~~THEN BEGIN P2004
SAY @8
IF~~THEN REPLY @9 GOTO P2005
IF~~THEN REPLY @10 GOTO P2006
IF~~THEN REPLY @11 GOTO P2007
END

IF~~THEN BEGIN P2005
SAY @12
IF~~THEN DO ~SetGlobal("ISHxGift","GLOBAL",1) EscapeArea()~ EXIT
END

IF~~THEN BEGIN P2006
SAY @13
IF~~THEN DO ~SetGlobal("ISHxGift","GLOBAL",2) EscapeArea()~ EXIT
END

IF~~THEN BEGIN P2007
SAY @14
IF~~THEN DO ~SetGlobal("ISHxGift","GLOBAL",3) EscapeArea()~ EXIT
END